Installation failed


#1

advice appreciated: as requested at the end of the installation script - here is the full copy of my terminal:

(sct-env) david@ubuntu-work-vm:/mnt/workspace/sct_june2019/sct_4.0.0-beta.5$ ./install_sct

Welcome to the SCT installer!
SCT version ......... 4.0.0-beta.5
Installation type ... package
Operating system .... linux
Shell ............... /home/david/.bashrc
sudo mode ........... 0

To improve user experience and fix bugs, the SCT development team is using a
report system to automatically receive crash reports and errors from users.
These reports are anonymous.
Do you agree to help us improve SCT? [y]es/[n]o: y
--> Crash reports will be sent to the SCT development team. Thank you!
SCT will be installed here: [/home/david/sct_4.0.0-beta.5]
Do you agree? [y]es/[n]o: n
Choose install directory. Warning! Give full path (e.g. /usr/django/sct_v3.0): /mnt/workspace/sct_4.0.0-beta.5
Copying source files from /mnt/workspace/sct_june2019/sct_4.0.0-beta.5 to /mnt/workspace/sct_4.0.0-beta.5
.........
Installing conda...
>> rm -rf /mnt/workspace/sct_4.0.0-beta.5/python
>> mkdir -p /mnt/workspace/sct_4.0.0-beta.5/python
>> wget -O /tmp/tmp.7Uzy6peIBP/miniconda.sh https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh
--2019-08-09 13:43:23--  https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh
Resolving repo.continuum.io (repo.continuum.io)... 104.18.200.79, 104.18.201.79, 2606:4700::6812:c84f, ...
Connecting to repo.continuum.io (repo.continuum.io)|104.18.200.79|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 75257002 (72M) [application/x-sh]
Saving to: ‘/tmp/tmp.7Uzy6peIBP/miniconda.sh’

/tmp/tmp.7Uzy6peIBP/miniconda.sh        100%[===============================================================================>]  71.77M  31.3MB/s    in 2.3s    
2019-08-09 13:43:25 (31.3 MB/s) - ‘/tmp/tmp.7Uzy6peIBP/miniconda.sh’ saved [75257002/75257002]
exit status is 0
>> bash /tmp/tmp.7Uzy6peIBP/miniconda.sh -p /mnt/workspace/sct_4.0.0-beta.5/python -b -f
PREFIX=/mnt/workspace/sct_4.0.0-beta.5/python
Unpacking payload ...
Collecting package metadata (current_repodata.json): done                                                 
Solving environment: done

## Package Plan ##
  environment location: /mnt/workspace/sct_4.0.0-beta.5/python
  added / updated specs:
    - _libgcc_mutex==0.1=main
    - asn1crypto==0.24.0=py37_0
    - bzip2==1.0.8=h7b6447c_0
    - ca-certificates==2019.5.15=0
    - certifi==2019.6.16=py37_0
    - cffi==1.12.3=py37h2e261b9_0
    - chardet==3.0.4=py37_1
    - conda-package-handling==1.3.11=py37_0
    - conda==4.7.10=py37_0
    - cryptography==2.7=py37h1ba5d50_0
    - idna==2.8=py37_0
    - libarchive==3.3.3=h5d8350f_5
    - libedit==3.1.20181209=hc058e9b_0
    - libffi==3.2.1=hd88cf55_4
    - libgcc-ng==9.1.0=hdf63c60_0
    - libstdcxx-ng==9.1.0=hdf63c60_0
    - libxml2==2.9.9=hea5a465_1
    - lz4-c==1.8.1.2=h14c3975_0
    - lzo==2.10=h49e0be7_2
    - ncurses==6.1=he6710b0_1
    - openssl==1.1.1c=h7b6447c_1
    - pip==19.1.1=py37_0
    - pycosat==0.6.3=py37h14c3975_0
    - pycparser==2.19=py37_0
    - pyopenssl==19.0.0=py37_0
    - pysocks==1.7.0=py37_0
    - python-libarchive-c==2.8=py37_11
    - python==3.7.3=h0371630_0
    - readline==7.0=h7b6447c_5
    - requests==2.22.0=py37_0
    - ruamel_yaml==0.15.46=py37h14c3975_0
    - setuptools==41.0.1=py37_0
    - six==1.12.0=py37_0
    - sqlite==3.29.0=h7b6447c_0
    - tk==8.6.8=hbc83047_0
    - tqdm==4.32.1=py_0
    - urllib3==1.24.2=py37_0
    - wheel==0.33.4=py37_0
    - xz==5.2.4=h14c3975_4
    - yaml==0.1.7=had09818_2
    - zlib==1.2.11=h7b6447c_3
    - zstd==1.3.7=h0b5b093_0

The following NEW packages will be INSTALLED:
  _libgcc_mutex      pkgs/main/linux-64::_libgcc_mutex-0.1-main
  asn1crypto         pkgs/main/linux-64::asn1crypto-0.24.0-py37_0
  bzip2              pkgs/main/linux-64::bzip2-1.0.8-h7b6447c_0
  ca-certificates    pkgs/main/linux-64::ca-certificates-2019.5.15-0
  certifi            pkgs/main/linux-64::certifi-2019.6.16-py37_0
  cffi               pkgs/main/linux-64::cffi-1.12.3-py37h2e261b9_0
  chardet            pkgs/main/linux-64::chardet-3.0.4-py37_1
  conda              pkgs/main/linux-64::conda-4.7.10-py37_0
  conda-package-han~ pkgs/main/linux-64::conda-package-handling-1.3.11-py37_0
  cryptography       pkgs/main/linux-64::cryptography-2.7-py37h1ba5d50_0
  idna               pkgs/main/linux-64::idna-2.8-py37_0
  libarchive         pkgs/main/linux-64::libarchive-3.3.3-h5d8350f_5
  libedit            pkgs/main/linux-64::libedit-3.1.20181209-hc058e9b_0
  libffi             pkgs/main/linux-64::libffi-3.2.1-hd88cf55_4
  libgcc-ng          pkgs/main/linux-64::libgcc-ng-9.1.0-hdf63c60_0
  libstdcxx-ng       pkgs/main/linux-64::libstdcxx-ng-9.1.0-hdf63c60_0
  libxml2            pkgs/main/linux-64::libxml2-2.9.9-hea5a465_1
  lz4-c              pkgs/main/linux-64::lz4-c-1.8.1.2-h14c3975_0
  lzo                pkgs/main/linux-64::lzo-2.10-h49e0be7_2
  ncurses            pkgs/main/linux-64::ncurses-6.1-he6710b0_1
  openssl            pkgs/main/linux-64::openssl-1.1.1c-h7b6447c_1
  pip                pkgs/main/linux-64::pip-19.1.1-py37_0
  pycosat            pkgs/main/linux-64::pycosat-0.6.3-py37h14c3975_0
  pycparser          pkgs/main/linux-64::pycparser-2.19-py37_0
  pyopenssl          pkgs/main/linux-64::pyopenssl-19.0.0-py37_0
  pysocks            pkgs/main/linux-64::pysocks-1.7.0-py37_0
  python             pkgs/main/linux-64::python-3.7.3-h0371630_0
  python-libarchive~ pkgs/main/linux-64::python-libarchive-c-2.8-py37_11
  readline           pkgs/main/linux-64::readline-7.0-h7b6447c_5
  requests           pkgs/main/linux-64::requests-2.22.0-py37_0
  ruamel_yaml        pkgs/main/linux-64::ruamel_yaml-0.15.46-py37h14c3975_0
  setuptools         pkgs/main/linux-64::setuptools-41.0.1-py37_0
  six                pkgs/main/linux-64::six-1.12.0-py37_0
  sqlite             pkgs/main/linux-64::sqlite-3.29.0-h7b6447c_0
  tk                 pkgs/main/linux-64::tk-8.6.8-hbc83047_0
  tqdm               pkgs/main/noarch::tqdm-4.32.1-py_0
  urllib3            pkgs/main/linux-64::urllib3-1.24.2-py37_0
  wheel              pkgs/main/linux-64::wheel-0.33.4-py37_0
  xz                 pkgs/main/linux-64::xz-5.2.4-h14c3975_4
  yaml               pkgs/main/linux-64::yaml-0.1.7-had09818_2
  zlib               pkgs/main/linux-64::zlib-1.2.11-h7b6447c_3
  zstd               pkgs/main/linux-64::zstd-1.3.7-h0b5b093_0

Preparing transaction: done
Executing transaction: \ WARNING conda.core.envs_manager:register_env(46): Unable to register environment. Path not writable or missing.
  environment location: /mnt/workspace/sct_4.0.0-beta.5/python
  registry file: /home/david/.conda/environments.txt                                                                                                          done
installation finished.
Conda installation successful
Collecting package metadata (current_repodata.json): done
Solving environment: done

==> WARNING: A newer version of conda exists. <==
  current version: 4.7.10
  latest version: 4.7.11

Please update conda by running
    $ conda update -n base -c defaults conda
## Package Plan ##
  environment location: /mnt/workspace/sct_4.0.0-beta.5/python/envs/venv_sct

  added / updated specs:
    - python=3.6
The following packages will be downloaded:

    package                    |            build
    ---------------------------|-----------------
    certifi-2019.6.16          |           py36_1         156 KB
    pip-19.1.1                 |           py36_0         1.6 MB
    python-3.6.9               |       h265db76_0        34.4 MB
    setuptools-41.0.1          |           py36_0         505 KB
    wheel-0.33.4               |           py36_0          41 KB
    ------------------------------------------------------------
                                           Total:        36.7 MB

The following NEW packages will be INSTALLED:

  _libgcc_mutex      pkgs/main/linux-64::_libgcc_mutex-0.1-main
  ca-certificates    pkgs/main/linux-64::ca-certificates-2019.5.15-0
  certifi            pkgs/main/linux-64::certifi-2019.6.16-py36_1
  libedit            pkgs/main/linux-64::libedit-3.1.20181209-hc058e9b_0
  libffi             pkgs/main/linux-64::libffi-3.2.1-hd88cf55_4
  libgcc-ng          pkgs/main/linux-64::libgcc-ng-9.1.0-hdf63c60_0
  libstdcxx-ng       pkgs/main/linux-64::libstdcxx-ng-9.1.0-hdf63c60_0
  ncurses            pkgs/main/linux-64::ncurses-6.1-he6710b0_1
  openssl            pkgs/main/linux-64::openssl-1.1.1c-h7b6447c_1
  pip                pkgs/main/linux-64::pip-19.1.1-py36_0
  python             pkgs/main/linux-64::python-3.6.9-h265db76_0
  readline           pkgs/main/linux-64::readline-7.0-h7b6447c_5
  setuptools         pkgs/main/linux-64::setuptools-41.0.1-py36_0
  sqlite             pkgs/main/linux-64::sqlite-3.29.0-h7b6447c_0
  tk                 pkgs/main/linux-64::tk-8.6.8-hbc83047_0
  wheel              pkgs/main/linux-64::wheel-0.33.4-py36_0
  xz                 pkgs/main/linux-64::xz-5.2.4-h14c3975_4
  zlib               pkgs/main/linux-64::zlib-1.2.11-h7b6447c_3


Proceed ([y]/n)? 

Downloading and Extracting Packages
python-3.6.9         | 34.4 MB   | ############## | 100% 
pip-19.1.1           | 1.6 MB    | ########################################## | 100% 
setuptools-41.0.1    | 505 KB    | ##################################################################################################################### | 100% 
certifi-2019.6.16    | 156 KB    | ##################################################################################################################### | 100% 
wheel-0.33.4         | 41 KB     | ##################################################################################################################### | 100% 
Preparing transaction: done
Verifying transaction: done
Executing transaction: done
#
# To activate this environment, use
#
#     $ conda activate venv_sct
#
# To deactivate an active environment, use
#
#     $ conda deactivate


Installing Python dependencies...
Collecting numpy
  Using cached https://files.pythonhosted.org/packages/19/b9/bda9781f0a74b90ebd2e046fde1196182900bd4a8e1ea503d3ffebc50e7c/numpy-1.17.0-cp36-cp36m-manylinux1_x86_64.whl
Installing collected packages: numpy
Successfully installed numpy-1.17.0
Requirement already satisfied: numpy in ./python/envs/venv_sct/lib/python3.6/site-packages (from -r requirements.txt (line 1)) (1.17.0)
Collecting cryptography (from -r requirements.txt (line 2))
  Downloading https://files.pythonhosted.org/packages/97/18/c6557f63a6abde34707196fb2cad1c6dc0dbff25a200d5044922496668a4/cryptography-2.7-cp34-abi3-manylinux1_x86_64.whl (2.3MB)
     |████████████████████████████████| 2.3MB 1.5MB/s 
Collecting dipy (from -r requirements.txt (line 3))
  Using cached https://files.pythonhosted.org/packages/5c/c1/fbb9b631cb2de6ff21967069144c00f7d06f522a7098f48a04d7f3b46198/dipy-1.0.0-cp36-cp36m-manylinux1_x86_64.whl
Collecting futures (from -r requirements.txt (line 4))
Collecting h5py (from -r requirements.txt (line 5))
  Using cached https://files.pythonhosted.org/packages/30/99/d7d4fbf2d02bb30fb76179911a250074b55b852d34e98dd452a9f394ac06/h5py-2.9.0-cp36-cp36m-manylinux1_x86_64.whl
Collecting Keras (from -r requirements.txt (line 6))
  Using cached https://files.pythonhosted.org/packages/5e/10/aa32dad071ce52b5502266b5c659451cfd6ffcbf14e6c8c4f16c0ff5aaab/Keras-2.2.4-py2.py3-none-any.whl
Collecting matplotlib (from -r requirements.txt (line 7))
  Using cached https://files.pythonhosted.org/packages/57/4f/dd381ecf6c6ab9bcdaa8ea912e866dedc6e696756156d8ecc087e20817e2/matplotlib-3.1.1-cp36-cp36m-manylinux1_x86_64.whl
Collecting nibabel (from -r requirements.txt (line 8))
  Using cached https://files.pythonhosted.org/packages/6e/af/3be194425fb56a6f2152849051e038b6fc502e7cb7b65649ceb74d3e8166/nibabel-2.5.0-py3-none-any.whl
Collecting pandas (from -r requirements.txt (line 9))
  Using cached https://files.pythonhosted.org/packages/1d/9a/7eb9952f4b4d73fbd75ad1d5d6112f407e695957444cb695cbb3cdab918a/pandas-0.25.0-cp36-cp36m-manylinux1_x86_64.whl
Collecting psutil (from -r requirements.txt (line 10))
Collecting PyQt5 (from -r requirements.txt (line 11))
  Using cached https://files.pythonhosted.org/packages/85/bd/8a0c863802449f35ad9ca21a1b73190639c206758b4b5e2425617fc99ce9/PyQt5-5.13.0-5.13.0-cp35.cp36.cp37.cp38-abi3-manylinux1_x86_64.whl
Collecting raven (from -r requirements.txt (line 12))
  Using cached https://files.pythonhosted.org/packages/bd/8e/62e26a88c0a1bbae677200baf0767c1022321a6555634f8129e6d55c5ddc/raven-6.10.0-py2.py3-none-any.whl
Collecting requests (from -r requirements.txt (line 13))
  Using cached https://files.pythonhosted.org/packages/51/bd/23c926cd341ea6b7dd0b2a00aba99ae0f828be89d72b2190f27c11d4b7fb/requests-2.22.0-py2.py3-none-any.whl
Collecting scipy (from -r requirements.txt (line 14))
  Using cached https://files.pythonhosted.org/packages/29/50/a552a5aff252ae915f522e44642bb49a7b7b31677f9580cfd11bcc869976/scipy-1.3.1-cp36-cp36m-manylinux1_x86_64.whl
Collecting scikit-image (from -r requirements.txt (line 15))
  Using cached https://files.pythonhosted.org/packages/d4/ab/674e168bf7d0bc597218b3bec858d02c23fbac9ec1fec9cad878c6cee95f/scikit_image-0.15.0-cp36-cp36m-manylinux1_x86_64.whl
Collecting scikit-learn (from -r requirements.txt (line 16))
  Using cached https://files.pythonhosted.org/packages/a0/c5/d2238762d780dde84a20b8c761f563fe882b88c5a5fb03c056547c442a19/scikit_learn-0.21.3-cp36-cp36m-manylinux1_x86_64.whl
Collecting tensorflow (from -r requirements.txt (line 17))
  Using cached https://files.pythonhosted.org/packages/de/f0/96fb2e0412ae9692dbf400e5b04432885f677ad6241c088ccc5fe7724d69/tensorflow-1.14.0-cp36-cp36m-manylinux1_x86_64.whl
Collecting xlrd (from -r requirements.txt (line 18))
  Using cached https://files.pythonhosted.org/packages/b0/16/63576a1a001752e34bf8ea62e367997530dc553b689356b9879339cf45a4/xlrd-1.2.0-py2.py3-none-any.whl
Collecting xlutils (from -r requirements.txt (line 19))
  Using cached https://files.pythonhosted.org/packages/c7/55/e22ac73dbb316cabb5db28bef6c87044a95914f713a6e81b593f8a0d2f79/xlutils-2.0.0-py2.py3-none-any.whl
Collecting xlwt (from -r requirements.txt (line 20))
  Using cached https://files.pythonhosted.org/packages/44/48/def306413b25c3d01753603b1a222a011b8621aed27cd7f89cbc27e6b0f4/xlwt-1.3.0-py2.py3-none-any.whl
Collecting tqdm (from -r requirements.txt (line 21))
  Using cached https://files.pythonhosted.org/packages/02/56/60a5b1c2e634d8e4ff89c7bab47645604e19658f448050a21facffd43796/tqdm-4.33.0-py2.py3-none-any.whl
Collecting transforms3d (from -r requirements.txt (line 22))
Collecting urllib3[secure] (from -r requirements.txt (line 23))
  Using cached https://files.pythonhosted.org/packages/e6/60/247f23a7121ae632d62811ba7f273d0e58972d75e58a94d329d51550a47d/urllib3-1.25.3-py2.py3-none-any.whl
Collecting six>=1.4.1 (from cryptography->-r requirements.txt (line 2))
  Using cached https://files.pythonhosted.org/packages/73/fb/00a976f728d0d1fecfe898238ce23f502a721c0ac0ecfedb80e0d88c64e9/six-1.12.0-py2.py3-none-any.whl
Collecting asn1crypto>=0.21.0 (from cryptography->-r requirements.txt (line 2))
  Using cached https://files.pythonhosted.org/packages/ea/cd/35485615f45f30a510576f1a56d1e0a7ad7bd8ab5ed7cdc600ef7cd06222/asn1crypto-0.24.0-py2.py3-none-any.whl
Collecting cffi!=1.11.3,>=1.8 (from cryptography->-r requirements.txt (line 2))
  Using cached https://files.pythonhosted.org/packages/5f/bf/6aa1925384c23ffeb579e97a5569eb9abce41b6310b329352b8252cee1c3/cffi-1.12.3-cp36-cp36m-manylinux1_x86_64.whl
Collecting keras-preprocessing>=1.0.5 (from Keras->-r requirements.txt (line 6))
  Using cached https://files.pythonhosted.org/packages/28/6a/8c1f62c37212d9fc441a7e26736df51ce6f0e38455816445471f10da4f0a/Keras_Preprocessing-1.1.0-py2.py3-none-any.whl
Collecting keras-applications>=1.0.6 (from Keras->-r requirements.txt (line 6))
  Using cached https://files.pythonhosted.org/packages/71/e3/19762fdfc62877ae9102edf6342d71b28fbfd9dea3d2f96a882ce099b03f/Keras_Applications-1.0.8-py3-none-any.whl
Collecting pyyaml (from Keras->-r requirements.txt (line 6))
  Downloading https://files.pythonhosted.org/packages/e3/e8/b3212641ee2718d556df0f23f78de8303f068fe29cdaa7a91018849582fe/PyYAML-5.1.2.tar.gz (265kB)
     |████████████████████████████████| 266kB 22.3MB/s 
Collecting pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 (from matplotlib->-r requirements.txt (line 7))
  Using cached https://files.pythonhosted.org/packages/11/fa/0160cd525c62d7abd076a070ff02b2b94de589f1a9789774f17d7c54058e/pyparsing-2.4.2-py2.py3-none-any.whl
Collecting python-dateutil>=2.1 (from matplotlib->-r requirements.txt (line 7))
  Using cached https://files.pythonhosted.org/packages/41/17/c62faccbfbd163c7f57f3844689e3a78bae1f403648a6afb1d0866d87fbb/python_dateutil-2.8.0-py2.py3-none-any.whl
Collecting kiwisolver>=1.0.1 (from matplotlib->-r requirements.txt (line 7))
  Using cached https://files.pythonhosted.org/packages/f8/a1/5742b56282449b1c0968197f63eae486eca2c35dcd334bab75ad524e0de1/kiwisolver-1.1.0-cp36-cp36m-manylinux1_x86_64.whl
Collecting cycler>=0.10 (from matplotlib->-r requirements.txt (line 7))
  Using cached https://files.pythonhosted.org/packages/f7/d2/e07d3ebb2bd7af696440ce7e754c59dd546ffe1bbe732c8ab68b9c834e61/cycler-0.10.0-py2.py3-none-any.whl
Collecting pytz>=2017.2 (from pandas->-r requirements.txt (line 9))
  Using cached https://files.pythonhosted.org/packages/87/76/46d697698a143e05f77bec5a526bf4e56a0be61d63425b68f4ba553b51f2/pytz-2019.2-py2.py3-none-any.whl
Collecting PyQt5_sip<13,>=4.19.14 (from PyQt5->-r requirements.txt (line 11))
  Using cached https://files.pythonhosted.org/packages/4b/15/055d5667166b1d8c04ad159216be7fa254897fafd79e749bc263cb86f802/PyQt5_sip-4.19.18-cp36-cp36m-manylinux1_x86_64.whl
Requirement already satisfied: certifi>=2017.4.17 in ./python/envs/venv_sct/lib/python3.6/site-packages (from requests->-r requirements.txt (line 13)) (2019.6.16)
Collecting chardet<3.1.0,>=3.0.2 (from requests->-r requirements.txt (line 13))
  Using cached https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl
Collecting idna<2.9,>=2.5 (from requests->-r requirements.txt (line 13))
  Using cached https://files.pythonhosted.org/packages/14/2c/cd551d81dbe15200be1cf41cd03869a46fe7226e7450af7a6545bfc474c9/idna-2.8-py2.py3-none-any.whl
Collecting networkx>=2.0 (from scikit-image->-r requirements.txt (line 15))
Collecting pillow>=4.3.0 (from scikit-image->-r requirements.txt (line 15))
  Downloading https://files.pythonhosted.org/packages/14/41/db6dec65ddbc176a59b89485e8cc136a433ed9c6397b6bfe2cd38412051e/Pillow-6.1.0-cp36-cp36m-manylinux1_x86_64.whl (2.1MB)
     |████████████████████████████████| 2.1MB 22.7MB/s 
Collecting imageio>=2.0.1 (from scikit-image->-r requirements.txt (line 15))
  Using cached https://files.pythonhosted.org/packages/af/0a/943c965d372dae0b1f1482677d29030ab834351a61a9a632fd62f27f1523/imageio-2.5.0-py3-none-any.whl
Collecting PyWavelets>=0.4.0 (from scikit-image->-r requirements.txt (line 15))
  Using cached https://files.pythonhosted.org/packages/4e/cd/528dba0b474b08f6f9a3a5e1b4bb23d8e33ed5d9f0e321cc967c2607df05/PyWavelets-1.0.3-cp36-cp36m-manylinux1_x86_64.whl
Collecting joblib>=0.11 (from scikit-learn->-r requirements.txt (line 16))
  Using cached https://files.pythonhosted.org/packages/cd/c1/50a758e8247561e58cb87305b1e90b171b8c767b15b12a1734001f41d356/joblib-0.13.2-py2.py3-none-any.whl
Collecting protobuf>=3.6.1 (from tensorflow->-r requirements.txt (line 17))
  Using cached https://files.pythonhosted.org/packages/eb/f4/a27952733796330cd17c17ea1f974459f5fefbbad119c0f296a6d807fec3/protobuf-3.9.1-cp36-cp36m-manylinux1_x86_64.whl
Collecting tensorboard<1.15.0,>=1.14.0 (from tensorflow->-r requirements.txt (line 17))
  Using cached https://files.pythonhosted.org/packages/91/2d/2ed263449a078cd9c8a9ba50ebd50123adf1f8cfbea1492f9084169b89d9/tensorboard-1.14.0-py3-none-any.whl
Collecting tensorflow-estimator<1.15.0rc0,>=1.14.0rc0 (from tensorflow->-r requirements.txt (line 17))
  Using cached https://files.pythonhosted.org/packages/3c/d5/21860a5b11caf0678fbc8319341b0ae21a07156911132e0e71bffed0510d/tensorflow_estimator-1.14.0-py2.py3-none-any.whl
Collecting astor>=0.6.0 (from tensorflow->-r requirements.txt (line 17))
  Using cached https://files.pythonhosted.org/packages/d1/4f/950dfae467b384fc96bc6469de25d832534f6b4441033c39f914efd13418/astor-0.8.0-py2.py3-none-any.whl
Collecting wrapt>=1.11.1 (from tensorflow->-r requirements.txt (line 17))
Collecting google-pasta>=0.1.6 (from tensorflow->-r requirements.txt (line 17))
  Using cached https://files.pythonhosted.org/packages/d0/33/376510eb8d6246f3c30545f416b2263eee461e40940c2a4413c711bdf62d/google_pasta-0.1.7-py3-none-any.whl
Collecting termcolor>=1.1.0 (from tensorflow->-r requirements.txt (line 17))
Collecting grpcio>=1.8.6 (from tensorflow->-r requirements.txt (line 17))
  Using cached https://files.pythonhosted.org/packages/f2/5d/b434403adb2db8853a97828d3d19f2032e79d630e0d11a8e95d243103a11/grpcio-1.22.0-cp36-cp36m-manylinux1_x86_64.whl
Collecting absl-py>=0.7.0 (from tensorflow->-r requirements.txt (line 17))
Requirement already satisfied: wheel>=0.26 in ./python/envs/venv_sct/lib/python3.6/site-packages (from tensorflow->-r requirements.txt (line 17)) (0.33.4)
Collecting gast>=0.2.0 (from tensorflow->-r requirements.txt (line 17))
Collecting pyOpenSSL>=0.14; extra == "secure" (from urllib3[secure]->-r requirements.txt (line 23))
  Using cached https://files.pythonhosted.org/packages/01/c8/ceb170d81bd3941cbeb9940fc6cc2ef2ca4288d0ca8929ea4db5905d904d/pyOpenSSL-19.0.0-py2.py3-none-any.whl
Collecting pycparser (from cffi!=1.11.3,>=1.8->cryptography->-r requirements.txt (line 2))
Requirement already satisfied: setuptools in ./python/envs/venv_sct/lib/python3.6/site-packages (from kiwisolver>=1.0.1->matplotlib->-r requirements.txt (line 7)) (41.0.1)
Collecting decorator>=4.3.0 (from networkx>=2.0->scikit-image->-r requirements.txt (line 15))
  Using cached https://files.pythonhosted.org/packages/5f/88/0075e461560a1e750a0dcbf77f1d9de775028c37a19a346a6c565a257399/decorator-4.4.0-py2.py3-none-any.whl
Collecting werkzeug>=0.11.15 (from tensorboard<1.15.0,>=1.14.0->tensorflow->-r requirements.txt (line 17))
  Using cached https://files.pythonhosted.org/packages/d1/ab/d3bed6b92042622d24decc7aadc8877badf18aeca1571045840ad4956d3f/Werkzeug-0.15.5-py2.py3-none-any.whl
Collecting markdown>=2.6.8 (from tensorboard<1.15.0,>=1.14.0->tensorflow->-r requirements.txt (line 17))
  Using cached https://files.pythonhosted.org/packages/c0/4e/fd492e91abdc2d2fcb70ef453064d980688762079397f779758e055f6575/Markdown-3.1.1-py2.py3-none-any.whl
Building wheels for collected packages: pyyaml
  Building wheel for pyyaml (setup.py) ... done
  Stored in directory: /home/david/.cache/pip/wheels/d9/45/dd/65f0b38450c47cf7e5312883deb97d065e030c5cca0a365030
Successfully built pyyaml
Installing collected packages: six, asn1crypto, pycparser, cffi, cryptography, h5py, nibabel, scipy, dipy, futures, keras-preprocessing, keras-applications, pyyaml, Keras, pyparsing, python-dateutil, kiwisolver, cycler, matplotlib, pytz, pandas, psutil, PyQt5-sip, PyQt5, raven, chardet, idna, pyOpenSSL, urllib3, requests, decorator, networkx, pillow, imageio, PyWavelets, scikit-image, joblib, scikit-learn, protobuf, werkzeug, grpcio, absl-py, markdown, tensorboard, tensorflow-estimator, astor, wrapt, google-pasta, termcolor, gast, tensorflow, xlrd, xlwt, xlutils, tqdm, transforms3d

Successfully installed Keras-2.2.4 PyQt5-5.13.0 PyQt5-sip-4.19.18 PyWavelets-1.0.3 absl-py-0.7.1 asn1crypto-0.24.0 astor-0.8.0 cffi-1.12.3 chardet-3.0.4 cryptography-2.7 cycler-0.10.0 decorator-4.4.0 dipy-1.0.0 futures-3.1.1 gast-0.2.2 google-pasta-0.1.7 grpcio-1.22.0 h5py-2.9.0 idna-2.8 imageio-2.5.0 joblib-0.13.2 keras-applications-1.0.8 keras-preprocessing-1.1.0 kiwisolver-1.1.0 markdown-3.1.1 matplotlib-3.1.1 networkx-2.3 nibabel-2.5.0 pandas-0.25.0 pillow-6.1.0 protobuf-3.9.1 psutil-5.6.3 pyOpenSSL-19.0.0 pycparser-2.19 pyparsing-2.4.2 python-dateutil-2.8.0 pytz-2019.2 pyyaml-5.1.2 raven-6.10.0 requests-2.22.0 scikit-image-0.15.0 scikit-learn-0.21.3 scipy-1.3.1 six-1.12.0 tensorboard-1.14.0 tensorflow-1.14.0 tensorflow-estimator-1.14.0 termcolor-1.1.0 tqdm-4.33.0 transforms3d-0.3.1 urllib3-1.25.3 werkzeug-0.15.5 wrapt-1.11.2 xlrd-1.2.0 xlutils-2.0.0 xlwt-1.3.0
Obtaining file:///mnt/workspace/sct_4.0.0-beta.5
Installing collected packages: spinalcordtoolbox
  Running setup.py develop for spinalcordtoolbox
Successfully installed spinalcordtoolbox

Creating launchers for Python scripts...

Installing binaries...
>> sct_download_data -d binaries_debian -o /mnt/workspace/sct_4.0.0-beta.5/bin
Folder /mnt/workspace/sct_4.0.0-beta.5/bin has been created.

Trying URL: https://osf.io/z72vn/?action=download
Downloading 20181204_sct_binaries_linux.tar.gz...
Status: 100%|##############################################################################################################| 92.2M/92.2M [00:03<00:00, 30.2MB/s]

Check if folder already exists...

Unzip data to: /mnt/workspace/sct_4.0.0-beta.5/bin

Remove temporary file...
Done!

All requirements installed!
>> . /mnt/workspace/sct_4.0.0-beta.5/python/bin/activate /mnt/workspace/sct_4.0.0-beta.5/python

Installing data...
>> rm -rf /mnt/workspace/sct_4.0.0-beta.5/data
>> mkdir -p /mnt/workspace/sct_4.0.0-beta.5/data
>> cd /mnt/workspace/sct_4.0.0-beta.5/data
>> sct_download_data -d PAM50

Trying URL: https://osf.io/kc3jx/?action=download
Downloading 20181214_PAM50.zip...
Status: 100%|##############################################################################################################| 70.8M/70.8M [00:01<00:00, 35.5MB/s]

Check if folder already exists...

Unzip data to: /mnt/workspace/sct_4.0.0-beta.5/data

Remove temporary file...
Done!

>> sct_download_data -d gm_model

Trying URL: https://osf.io/ugscu/?action=download
Downloading 20160922_gm_model.zip...
Status: 100%|##############################################################################################################| 10.3M/10.3M [00:00<00:00, 15.7MB/s]

Check if folder already exists...

Unzip data to: /mnt/workspace/sct_4.0.0-beta.5/data

Remove temporary file...
Done!

>> sct_download_data -d optic_models

Trying URL: https://osf.io/g4fwn/?action=download
Downloading 20170413_optic_models.zip...
Status: 100%|##############################################################################################################| 17.7k/17.7k [00:00<00:00, 11.4MB/s]

Check if folder already exists...

Unzip data to: /mnt/workspace/sct_4.0.0-beta.5/data

Remove temporary file...
Done!

>> sct_download_data -d pmj_models

Trying URL: https://osf.io/4gufr/?action=download
Downloading 20170922_pmj_models.zip...
Status: 100%|##############################################################################################################| 8.87k/8.87k [00:00<00:00, 13.7MB/s]

Check if folder already exists...

Unzip data to: /mnt/workspace/sct_4.0.0-beta.5/data

Remove temporary file...
Done!

>> sct_download_data -d deepseg_sc_models

Trying URL: https://osf.io/avf97/?action=download
Downloading 20180610_deepseg_sc_models.zip...
Status: 100%|##############################################################################################################| 58.7M/58.7M [00:01<00:00, 31.2MB/s]

Check if folder already exists...

Unzip data to: /mnt/workspace/sct_4.0.0-beta.5/data

Remove temporary file...
Done!

>> sct_download_data -d deepseg_gm_models

Trying URL: https://osf.io/b9y4x/?action=download
Downloading 20180205_deepseg_gm_models.zip...
Status: 100%|##############################################################################################################| 2.28M/2.28M [00:00<00:00, 5.93MB/s]

Check if folder already exists...

Unzip data to: /mnt/workspace/sct_4.0.0-beta.5/data

Remove temporary file...
Done!

>> sct_download_data -d deepseg_lesion_models

Trying URL: https://osf.io/eg7v9/?action=download
Downloading 20180613_deepseg_lesion_models.zip...
Status: 100%|##############################################################################################################| 16.0M/16.0M [00:00<00:00, 19.5MB/s]

Check if folder already exists...

Unzip data to: /mnt/workspace/sct_4.0.0-beta.5/data

Remove temporary file...
Done!

>> sct_download_data -d c2c3_disc_models

Trying URL: https://osf.io/t97ap/?action=download
Downloading 20190117_c2c3_disc_models.zip...
Status: 100%|##############################################################################################################| 8.94k/8.94k [00:00<00:00, 8.86MB/s]

Check if folder already exists...

Unzip data to: /mnt/workspace/sct_4.0.0-beta.5/data

Remove temporary file...
Done!


Do you want to add the sct_* scripts to your PATH environment? [y]es/[n]o: 
Do you want to add the sct_* scripts to your PATH environment? [y]es/[n]o: y


Validate installation...
SCT info:
- version: 4.0.0-beta.5
- path: /mnt/workspace/sct_4.0.0-beta.5
OS: linux (Linux-4.15.0-52-generic-x86_64-with-debian-buster-sid)
CPU cores: Available: 40, Used by SCT: 40
RAM: MemTotal:       16031136 kB
total        used        free      shared  buff/cache   available
Mem:          15655        4462        3511         445        7681       10419
Swap:           975           0         975
Check Python executable.............................[OK]
  Using bundled python 3.6.9 |Anaconda, Inc.| (default, Jul 30 2019, 19:07:31) 
[GCC 7.3.0] at /mnt/workspace/sct_4.0.0-beta.5/python/envs/venv_sct/bin/python
Check if data are installed.........................[OK]
Check if numpy is installed.........................[OK] (1.17.0)
Check if cryptography is installed..................[OK] (2.7)
Check if dipy is installed..........................[OK] (1.0.0)
Check if futures is installed.......................[OK]
Check if h5py is installed..........................[OK] (2.9.0)
Check if Keras is installed.........................Could not open font file /usr/share/fonts/truetype/noto/NotoColorEmoji.ttf: In FT2Font: Can not load face.  Unknown file format.
generated new fontManager
[OK] (2.2.4)
Check if matplotlib is installed....................[OK] (3.1.1)
Check if nibabel is installed.......................[OK] (2.5.0)
Check if pandas is installed........................[OK] (0.25.0)
Check if psutil is installed........................[OK] (5.6.3)
Check if PyQt5 is installed.........................[OK]
Check if raven is installed.........................[OK]
Check if requests is installed......................[OK] (2.22.0)
Check if scipy is installed.........................[OK] (1.3.1)
Check if scikit-image is installed..................[OK] (0.15.0)
Check if scikit-learn is installed..................[OK] (0.21.3)
Check if tensorflow is installed....................[OK] (1.14.0)
Check if xlrd is installed..........................[OK] (1.2.0)
Check if xlutils is installed.......................[OK]
Check if xlwt is installed..........................[OK] (1.3.0)
Check if tqdm is installed..........................[OK] (4.33.0)
Check if transforms3d is installed..................[OK] (0.3.1)
Check if urllib3[secure] is installed...............[OK] (1.25.3)
Check if #git+https://github.com/jcohenadad/nipy.git is installed[FAIL]
Check if spinalcordtoolbox is installed.............[OK]
Check ANTs compatibility with OS ...................[OK]
Check PropSeg compatibility with OS ................[OK]
Check if figure can be opened.......................[OK]

Installation validation Failed!
Please copy the historic of this Terminal (starting with the command install_sct) and paste it in the SCT Help forum (create a new discussion):
http://forum.spinalcordmri.org/c/sct

Installation failed

#2

Hi @davidcadotte,

I believe this issue has been solved in the latest release (4.0.0).

Cheers,
Julien